This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 850304 - Introduce new systemd-rpm macros in rwho spec file
Introduce new systemd-rpm macros in rwho spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rwho (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:05 EDT by Lukáš Nykrýn
Modified: 2012-11-01 11:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: rwho-0.17-45.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 11:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:05:32 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Honza Horak 2012-09-11 06:26:31 EDT
Committed in git, update will be made with other planned changes.
Comment 2 Fedora Update System 2012-10-05 02:16:29 EDT
rwho-0.17-45.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rwho-0.17-45.fc18
Comment 3 Fedora Update System 2012-10-05 13:59:49 EDT
Package rwho-0.17-45.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rwho-0.17-45.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15465/rwho-0.17-45.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.